# Generated by Django 4.2.4 on 2023-08-25 14:14

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Keywords',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyword', models.CharField(max_length=64, unique=True, verbose_name='敏感词')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否启用')),
                ('keyword_created', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name': '敏感词',
                'verbose_name_plural': '敏感词',
            },
        ),
        migrations.CreateModel(
            name='RetrieverTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('task_keywords', models.CharField(max_length=1024)),
                ('task_status', models.BooleanField(default=False)),
                ('task_started', models.BooleanField(default=False)),
                ('task_created', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='UploadFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_id', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('file_name', models.CharField(max_length=100)),
                ('is_checked', models.BooleanField(default=False)),
                ('file', models.FileField(upload_to='uploads/', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['docx'])])),
                ('related_task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attachment', to='retriever.retrievertask')),
            ],
        ),
        migrations.CreateModel(
            name='KeywordParagraph',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyword', models.CharField(max_length=1024)),
                ('paragraph', models.TextField()),
                ('related_file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='keyword_paragraph', to='retriever.uploadfile')),
            ],
        ),
    ]
